%define upstream_name 	 XML-miniXQL
%define upstream_version 0.04

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 9

Summary:	%{upstream_name} perl module
License: 	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(XML::Parser)
Buildarch: noarch

Requires:	perl , perl-XML-Parser

%description
This module provides a simplistic XQL like search engine for XML files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q  -n %{upstream_name}-%{upstream_version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

make PREFIX=$RPM_BUILD_ROOT%{_prefix} DESTDIR=$RPM_BUILD_ROOT install

%files 
%doc README MANIFEST Changes 
%{perl_vendorlib}/XML/*
%{perl_vendorlib}/auto/XML/*
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-9.mga8
+ Revision: 1498456
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-8.mga7
+ Revision: 1272771
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1036029
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 934013
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 747786
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 686981
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 516314
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 375250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 27351
- mageia rebuild
- imported package perl-XML-miniXQL


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 401858
- rebuild using %%perl_convert_version

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-11mdv2009.0
+ Revision: 258843
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-10mdv2009.0
+ Revision: 246751
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.04-8mdv2008.1
+ Revision: 136367
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.04-8mdv2007.0
+ Revision: 73447
- Fix Build
- Fix URL
- import perl-XML-miniXQL-0.04-7mdk

* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.04-7mdk
- rebuild

